Skip to main content
GET
/
v1
/
spv-requests
/
{slug}
Get an SPV request
curl --request GET \
  --url https://api.example.com/v1/spv-requests/{slug} \
  --header 'Authorization: Bearer <token>'
{
  "spvRequestSlug": "<string>",
  "status": "pending-review",
  "templateId": "<string>",
  "templateVersion": "<string>",
  "tenantSlug": "<string>",
  "clientId": "<string>",
  "attributes": {},
  "createdAt": "2023-11-07T05:31:56Z",
  "updatedAt": "2023-11-07T05:31:56Z",
  "rejectionReason": "<string>",
  "cancelledAt": "2023-11-07T05:31:56Z",
  "approvedAt": "2023-11-07T05:31:56Z",
  "materialisedRefs": {
    "opportunitySlug": "<string>",
    "vehicleSlug": "<string>",
    "spSlug": "<string>",
    "spcSlug": "<string>"
  },
  "feesAndCarry": {
    "shareClasses": [
      {
        "name": "<string>",
        "slug": "<string>",
        "managementFeePercent": "<string>",
        "carryPercent": "<string>",
        "setupFee": {}
      }
    ]
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.zestequity.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

slug
string
required

Response

Successful Response

spvRequestSlug
string
required
status
enum<string>
required

An enumeration.

Available options:
pending-review,
approved,
rejected,
cancelled
templateId
string
required
templateVersion
string
required
tenantSlug
string
required
clientId
string
required
attributes
Attributes · object
required
createdAt
string<date-time>
required
updatedAt
string<date-time>
required
rejectionReason
string
cancelledAt
string<date-time>
approvedAt
string<date-time>
materialisedRefs
MaterialisedRefsResponse · object
feesAndCarry
FeesAndCarryResponse · object